N64 Coins
=========

Animated sprites made from pre-rendered spinning 3D coins similar to those that appear in Super Mario 64.

This asset is a little bit archaic, but it is meant to imitate the particular style of the Nintendo 64 for those who like it.

Provided is a sprite sheet for individual frames of animated coins of multiple colors.

Also provided is a source Blender file so that a user can generate their own coins if they wish.

To generate a custom coin, load the Blender file and then load the material assigned to the Coin object. To edit the color, edit the "Coin color" material node. To edit the embossing on the coin face, either edit the external "Face height map" image (maybe then reloading Blender) or load in a custom image in the "Face height map" material node. When ready, render the scene. The outputted image file will be frames of animation of the custom coin.

Version
-------

2024-11-29


Changelog
---------

Since version 2024-11-28.

- Re-made the sample face height map in Aseprite. It is now symmetrical.
- Recreated the sample coin renders using the new face height map.
- Created frames and an animation of an example custom coin that is purple and has the letter "E" printed on it.
- Exported a reference UV map for a coin face height map that shows the circular region of the map will be applied to a coin face.


Software Used
-------------

Blender for the coin model and Aseprite for the coin face height maps.


License
-------

http://creativecommons.org/publicdomain/zero/1.0/

Attribute as n64guy would be nice but is not required.